<?php
//お約束の呪文/////////////////////////////////
//ログインチェック、設定ファイル読み込み、Smarty Viewの生成を行う
include_once("../../../../app_path.php");
include_once(APP_PATH.'/BSMAdminController.php');
$bsmactlr = new BSMAdminController();
///////////////////////////////////////////////

//Modelクラスを読み込み
//DBからのデータ読み込み、書き込み、大半の処理はこのModelクラスに書いてください。
require_once("../class/CLbaseform.php");

class MenuAct extends baseform
{
	function MenuAct(&$bsmactlr)
	{
		$this->__construct($bsmactlr);
	}

	function __construct(&$bsmactlr)
	{
		baseform::__construct();
		$this->bsmactlr = $bsmactlr;

		//メニューアクティブ
		$this->bsmactlr->view->assign('topactive', '1');

		//管理権限によるメニュー表示制御
		$this->setAuth($this->bsmactlr->view);

		//フォームジェネレータの利用権限のチェック
		if( $_SESSION["form_generator_kanri"] == 0 || $_SESSION["form_generator_kanri"] == null){
			$this->bsmactlr->view->assign("form_generator_kanri",0);
		}else{
			$this->bsmactlr->view->assign("form_generator_kanri",1);
		}
		$this->bsmactlr->view->assign("MENU", $this->_tpl_path."/admin/common/menu.tpl");
	}

	function action()
	{
		$this->clrToken();
		//set template file
		$this->bsmactlr->setHeadhtml('<link href="css/imported.css" rel="stylesheet" type="text/css" media="all">');
		$this->bsmactlr->DisplayPage($this->bsmactlr->setTpl("/extMdlFormGnrtr/admin/index.tpl"));
	}
}

$frm = new MenuAct($bsmactlr);
$frm->action();
?>